---
title: "Setting Google Finance Markets SERP Tasks"
url: "https://docs.dataforseo.com/v3/serp/google/finance_markets/task_post/"
date: "2026-06-06"
---

## Setting Google Finance Markets SERP Tasks

  
Google Finance Markets API provides real-time data from the ‘Markets’ tab of Google Finance. These results are specific to the parameters you specify in the request: `location`, `language`, and `market_type`.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/finance\_markets/task\_post     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-finance-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, with each POST call containing no more than 100 tasks. If your POST call contains over 100 tasks, the tasks over this limit will return the `40006` error. Visit [DataForSEO Help Center](https://dataforseo.com/help-center/best-practices-low-volume-serp-api-payload) to get practical tips for request handling depending on your SERP API payload volume.

You can retrieve the results of completed tasks using the unique task identifier `id`. Alternatively, we can send them to you as soon as they are ready if you specify the `postback_url` or `pingback_url` when setting a task. Note that if your server doesn’t respond within 10 seconds, the connection will be aborted by timeout, and the task will be transferred to the [‘Tasks Ready’](https://docs.dataforseo.com/v3/serp/google/organic/tasks_ready.md) list. The error code and message depend on your server’s configuration. See [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) to learn more about using pingbacks and postbacks with DataForSEO APIs.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `location_code` | integer | *search engine location code*  **required field if you don't specify `location_name`**  **if you use this field, you don't need to specify `location_name`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `2840` |
| `language_code` | string | *search engine language code*  **required field if you don't specify `language_name`**  **if you use this field, you don't need to specify `language_name`**  you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`example:`en` |
| `device` | string | *device type*  optional field  return results for a specific device type  possible value: `desktop` |
| `pingback_url` | string | *notification URL of a completed task*  optional field  when a task is completed we will notify you by GET request sent to the URL you have specified  you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request.  example:  `http://your-server.com/pingscript?id=$id`  `http://your-server.com/pingscript?id=$id&tag=$tag`  **Note:** special characters in `pingback_url` will be urlencoded;  i.a., the `#` character will be encoded into `%23`     learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |
| `postback_url` | string | *URL for sending task results*  optional field  once the task is completed, we will send a POST request with its results compressed in the `gzip` format to the `postback_url` you specified  you can use the ‘$id’ string as a `$id` variable and ‘$tag’ as urlencoded `$tag` variable. We will set the necessary values before sending the request  example:  `http://your-server.com/postbackscript?id=$id`  `http://your-server.com/postbackscript?id=$id&tag=$tag`  **Note:** special characters in `postback_url` will be urlencoded;  i.a., the `#` character will be encoded into `%23`     learn more on our [Help Center](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api) |
| `postback_data` | string | *postback\_url datatype*  **required field if you specify `postback_url`**  corresponds to the datatype that will be sent to your server  possible values:: `advanced`, `html` |
| `priority` | integer | *task priority*  optional field  can take the following values:  1 – normal execution priority (set by default);  2 – high execution priority     You will be additionally charged for the tasks with high execution priority;The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-finance-serp-api "Pricing") page |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*  **required field if you don't specify `location_code`**  **if you use this field, you don't need to specify `location_code`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to `https://api.dataforseo.com/v3/serp/google/locations`  example:  `London,England,United Kingdom` |
| `language_name` | string | *full name of search engine language*  **required field if you don't specify `language_code`**  **if you use this field, you don't need to specify `language_code`**  you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`  example:  `English` |
| `os` | string | *device operating system*  optional field  possible values: `windows` |
| `tag` | string | *user-defined task identifier*  optional field  *the character limit is 255*  you can use this parameter to identify the task and match it with the result  you will find the specified `tag` value in the `data` object of the response |
| `market_type` | string | *type of google finance market*  optional field  possible values: `most-active`, `indexes`, `indexes/americas`, `indexes/europe-middle-east-africa`, `indexes/asia-pacific`, `gainers`, `losers`, `climate-leaders`, `cryptocurrencies`, `currencies`  default value: `most-active` |



  
  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks. **Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`**array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *unique task identifier in our system*   in the [Universally unique identifier (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier) format |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000 |
| `status_message` | string | *informational message of the task* |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results*   in this case, the value will be `null` |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/finance_markets/task_post" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "location_code": 2840,
        "language_name": "English"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
   // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
   $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
   exit();
}
$post_array = array();
// example #1 - a simple way to set a task
// this way requires you to specify a location and a target or advertiser_ids.
$post_array[] = array(
    "location_code" => 2840,
    "language_name" => "English"
);
// example #2 - a way to set a task with additional parameters
// high priority allows us to complete a task faster, but you will be charged more credits.
// after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
$post_array[] = array(
   "location_code" => 2840,
   "language_name" => "English",
   "priority" => 2,
   "tag" => "some_string_123",
   "pingback_url" => 'https://your-server.com/pingscript?id=$id&tag=$tag'
);
// this example has 2 elements, but in the case of a large number of tasks - send up to 100 elements per POST request
if (count($post_array) > 0) {
   try {
      // POST /v3/serp/google/finance_markets/task_post
      // in addition to 'google' and 'finance_markets' you can also set other search engine and type parameters
      // the full list of possible parameters is available in documentation
      $result = $client->post('/v3/serp/google/finance_markets/task_post', $post_array);
      print_r($result);
      // do something with post result
   } catch (RestClientException $e) {
      echo "n";
      print "HTTP code: {$e->getHttpCode()}n";
      print "Error code: {$e->getCode()}n";
      print "Message: {$e->getMessage()}n";
      print  $e->getTraceAsString();
      echo "n";
   }
}
$client = null;
?>
```





```js
const post_array = [];

post_array.push({
    "location_code" => 2840,
    "language_name" => "English"
});

const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/finance_markets/task_post',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: post_array,
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip

client = RestClient("login", "password")
post_data = dict()
# example #1 - a simple way to set a task
# this way requires you to specify a location, a language of search, and advertiser_ids or target.
    post_data[len(post_data)] = dict(
    location_code=2840,
    language_name="English"
)
# example #2 - a way to set a task with additional parameters
# high priority allows us to complete a task faster, but you will be charged more.
# after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
post_data[len(post_data)] = dict(
    location_code=2840,
    language_name="English",
    priority=2,
    pingback_url="https://your-server.com/pingscript?id=$id&tag=$tag"
)
# POST /v3/serp/google/finance_markets/task_post
# in addition to 'google' and 'finance_markets' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/finance_markets/task_post", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_post()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // example #1 - a simple way to set a task
            // this way requires you to specify a location and a target or advertiser_ids.
            postData.Add(new
            {
                location_code=2840,
                language_name="English"
            });
            // example #2 - a way to set a task with additional parameters
            // high priority allows us to complete a task faster, but you will be charged more credits.
            // after a task is completed, we will send a GET request to the address you specify. Instead of $id and $tag, you will receive actual values that are relevant to this task.
            postData.Add(new
            {
                location_code=2840,
                language_name="English",
                priority = 2,
                tag = "some_string_123",
                pingback_url = "https://your-server.com/pingscript?id=$id&tag=$tag"
            });
            // POST /v3/serp/google/finance_markets/task_post
            // in addition to 'google' and 'finance_markets' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/finance_markets/task_post", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20241227",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0690 sec.",
  "cost": 0.0012,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02171923-1535-0066-0000-59913d990e53",
      "status_code": 20100,
      "status_message": "Task Created.",
      "time": "0.0092 sec.",
      "cost": 0.0012,
      "result_count": 0,
      "path": [
        "v3",
        "serp",
        "google",
        "finance_markets",
        "task_post"
      ],
      "data": {
        "api": "serp",
        "function": "task_post",
        "se": "google",
        "se_type": "finance_markets",
        "language_name": "English",
        "location_code": 2840,
        "market_type": "most-active",
        "priority": 2,
        "device": "desktop",
        "os": "windows"
      },
      "result": null
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp